##### basic_file::size (1 of 2 overloads)

Get the size of the file.

    uint64_t size() const;

This function determines the size of the file, in bytes.

###### Exceptions

asio::system_error

  Thrown on failure.

Copyright © 2003-2025 Christopher M. Kohlhoff

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)